#Californium CoAP Properties file
#Thu Oct 24 13:52:22 EDT 2019
HTTP_SERVER_SOCKET_BUFFER_SIZE=8192
UDP_CONNECTOR_OUT_CAPACITY=2147483647
CONGESTION_CONTROL_ALGORITHM=Cocoa
USE_CONGESTION_CONTROL=false
ACK_TIMEOUT=2000
MAX_ACTIVE_PEERS=150000
TCP_CONNECT_TIMEOUT=10000
NOTIFICATION_CHECK_INTERVAL_COUNT=100
MAX_MESSAGE_SIZE=1024
MID_TRACKER_GROUPS=16
DEDUPLICATOR=DEDUPLICATOR_MARK_AND_SWEEP
TCP_CONNECTION_IDLE_TIMEOUT=10
COAP_PORT=5683
ACK_TIMEOUT_SCALE=2.0
PREFERRED_BLOCK_SIZE=512
NETWORK_STAGE_RECEIVER_THREAD_COUNT=4
DTLS_AUTO_RESUME_TIMEOUT=30000
MAX_LATENCY=100000
MAX_SERVER_RESPONSE_DELAY=250000
DTLS_CONNECTION_ID_LENGTH=
PROTOCOL_STAGE_THREAD_COUNT=4
MAX_TRANSMIT_WAIT=93000
MULTICAST_BASE_MID=65000
DEDUPLICATOR_AUTO_REPLACE=true
UDP_CONNECTOR_RECEIVE_BUFFER=0
EXCHANGE_LIFETIME=247000
HTTP_SERVER_SOCKET_TIMEOUT=100000
CROP_ROTATION_PERIOD=247000
UDP_CONNECTOR_DATAGRAM_SIZE=2048
MAX_RETRANSMIT=4
MAX_PEER_INACTIVITY_PERIOD=600
MAX_RESOURCE_BODY_SIZE=8192
NOTIFICATION_CHECK_INTERVAL=86400000
LEISURE=5000
HTTP_CACHE_RESPONSE_MAX_AGE=86400
BLOCKWISE_STATUS_LIFETIME=300000
RESPONSE_MATCHING=STRICT
UDP_CONNECTOR_SEND_BUFFER=0
MID_TACKER=GROUPED
TCP_WORKER_THREADS=1
NETWORK_STAGE_SENDER_THREAD_COUNT=4
NON_LIFETIME=145000
TOKEN_SIZE_LIMIT=8
HTTP_PORT=8080
MARK_AND_SWEEP_INTERVAL=10000
HEALTH_STATUS_INTERVAL=0
ACK_RANDOM_FACTOR=1.5
SECURE_SESSION_TIMEOUT=86400
NSTART=1
USE_RANDOM_MID_START=true
HTTP_CACHE_SIZE=32
TLS_HANDSHAKE_TIMEOUT=10000
DTLS_CONNECTION_ID_NODE_ID=
PROBING_RATE=1.0
BLOCKWISE_STRICT_BLOCK2_OPTION=false
NOTIFICATION_REREGISTRATION_BACKOFF=2000
COAP_SECURE_PORT=5684
